OpenAI API DocsCommunity translation · Official structure

Resources

Models — Retrieve

OpenAI API endpoint method reference.

English source
This English page is rendered from the official Markdown mirror in this repository.View on OpenAI ↗

For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.

Retrieve model

get /models/{model}

Retrieves a model instance, providing basic information about the model such as the owner and permissioning.

Path Parameters

  • model: string

Returns

  • Model object { id, created, object, 2 more }

    Describes an OpenAI model offering that can be used with the API.

    • id: string

      The model identifier, which can be referenced in the API endpoints.

    • created: number

      The Unix timestamp (in seconds) when the model was created.

    • object: "model"

      The object type, which is always "model".

      • "model"
    • owned_by: string

      The organization that owns the model.

    • shutdown_date: optional string or null

      The date when the model will shut down, or null if not announced.

Example

curl https://api.openai.com/v1/models/$MODEL \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created": 0,
  "object": "model",
  "owned_by": "owned_by",
  "shutdown_date": "2019-12-27"
}

Example

curl https://api.openai.com/v1/models/VAR_chat_model_id \
  -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "VAR_chat_model_id",
  "object": "model",
  "created": 1686935002,
  "owned_by": "openai",
  "shutdown_date": "2026-10-23"
}